<?php
namespace Incoviba\nuevo\Venta;

use Incoviba\Common\Alias\NewModel;

/**
 * 
 * @author Aldarien
 * @property int id
 * @property Unidad unidad_id
 * @property double valor
 *
 */
class Propiedad extends NewModel
{
	protected static $_table = 'propiedades';
	
    public function unidadPrincipal()
    {
    	return $this->belongsTo(Unidad::class, 'unidad_id')->findOne();
    }
    public function unidades()
    {
    	return $this->hasMany(UnidadPropiedad::class, 'propiedad_id')->findMany();
    }
	public function venta()
	{
		return $this->hasMany(Venta::class, 'propiedad_id')->findOne();
	}
}
